org.springframework.web.reactive.handler

## Class WebFluxResponseStatusExceptionHandler

- java.lang.Object
- - org.springframework.web.server.handler.ResponseStatusExceptionHandler
  - - org.springframework.web.reactive.handler.WebFluxResponseStatusExceptionHandler

All Implemented Interfaces:
  org.springframework.web.server.WebExceptionHandler

    public class WebFluxResponseStatusExceptionHandler
    extends org.springframework.web.server.handler.ResponseStatusExceptionHandler

Common WebFlux exception handler that detects instances of `ResponseStatusException` (inherited from the base class) as well as exceptions annotated with `@ResponseStatus` by determining the HTTP status for them and updating the status of the response accordingly.

If the response is already committed, the error remains unresolved and is propagated.

Since:
  5.0.5
Author:
  Juergen Hoeller, Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`WebFluxResponseStatusExceptionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.springframework.http.HttpStatus` `determineStatus(Throwable ex)`

### Methods inherited from class org.springframework.web.server.handler.ResponseStatusExceptionHandler

`handle, setWarnLogCategory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebFluxResponseStatusExceptionHandler

    public WebFluxResponseStatusExceptionHandler()

### Method Detail

#### determineStatus

    @Nullable
    protected org.springframework.http.HttpStatus determineStatus(Throwable ex)

Overrides:
  `determineStatus` in class `org.springframework.web.server.handler.ResponseStatusExceptionHandler`